curl --request GET \
--url https://api.cadanapay.com/v1/beneficiaries/{beneficiaryId} \
--header 'Authorization: Bearer <token>'{
"id": "30e06567-9fa9-48b0-bf67-c54eb49e8b03",
"tenantKey": "cad65668351",
"businessId": "186ea4c2-b606-4f13-a2b3-5cca8564c17e",
"name": "John Doe",
"countryCode": "CO",
"currency": "COP",
"paymentDetails": {
"preferredMethod": "bank",
"bank": {
"accountName": "John Doe",
"accountNumber": "123456789",
"accountType": "Checking",
"bankCode": "EXMPCOBB",
"bankName": "Colombia Bank",
"branchName": "",
"beneficiaryId": {
"type": "NIT",
"value": "123456789"
},
"address": {
"line1": "Avenida Caracas",
"line2": "",
"city": "Bogota",
"postalCode": "",
"state": "",
"countryCode": "CO"
},
"email": "john.doe@example.com"
}
},
"kyc": {
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1985-12-20",
"countryCode": "CO",
"idType": "PASSPORT",
"idNumber": "PA1234567",
"idFileFront": "1d3f870c-bc91-4636-a0d4-8e54bccf7d64",
"idFileBack": ""
},
"createdTimestamp": 1748550207,
"lastUpdatedTimestamp": 1748550207
}Get an existing beneficiary
curl --request GET \
--url https://api.cadanapay.com/v1/beneficiaries/{beneficiaryId} \
--header 'Authorization: Bearer <token>'{
"id": "30e06567-9fa9-48b0-bf67-c54eb49e8b03",
"tenantKey": "cad65668351",
"businessId": "186ea4c2-b606-4f13-a2b3-5cca8564c17e",
"name": "John Doe",
"countryCode": "CO",
"currency": "COP",
"paymentDetails": {
"preferredMethod": "bank",
"bank": {
"accountName": "John Doe",
"accountNumber": "123456789",
"accountType": "Checking",
"bankCode": "EXMPCOBB",
"bankName": "Colombia Bank",
"branchName": "",
"beneficiaryId": {
"type": "NIT",
"value": "123456789"
},
"address": {
"line1": "Avenida Caracas",
"line2": "",
"city": "Bogota",
"postalCode": "",
"state": "",
"countryCode": "CO"
},
"email": "john.doe@example.com"
}
},
"kyc": {
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1985-12-20",
"countryCode": "CO",
"idType": "PASSPORT",
"idNumber": "PA1234567",
"idFileFront": "1d3f870c-bc91-4636-a0d4-8e54bccf7d64",
"idFileBack": ""
},
"createdTimestamp": 1748550207,
"lastUpdatedTimestamp": 1748550207
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier for the beneficiary
"c06f3427-3bbe-4d70-9a54-28acda267e48"
Get beneficiary response
"John Doe"
The country code of the beneficiary in ISO 3166-1 alpha-2 format
"KE"
The currency of the beneficiary in ISO 4217 format
"KES"
Show child attributes
KYC attributes for a beneficiary
Show child attributes
"7a7f80a6-1665-4f64-9ef3-d5f90f8f309b"
Unix timestamp when the beneficiary was created
1748478276
Unix timestamp when the beneficiary was last updated
1748478276
"john.doe@example.com"